CONTAINER-STOP(1)

NAME
container-stop - Stop a container

SYNOPSIS
container stop ['OPTIONS']
cnt t ['OPTIONS']

DESCRIPTION

The container stop command stops a container by running the proper shutdown sequence.

OPTIONS

The following container stop options are available:

    -n, --name='NAME':
        Specify container name. Specifying 'ALL' will stop all started container.

    -f, --force:
        Do not prompt before every stopping.

    -i, --interactive:
        Prompt before every stopping (default).

    -k, --kill:
        Instead of running the proper shutdown sequence, terminate all processes of the container imediatly.

    -v, --verbose:
        Explain what is being done.

EXAMPLES

Shutdown example.net container:
        sudo container stop -n example.net

Shutdown example.net container without prompting:
        sudo container stop -n example.net -f

Immediately stop example.net container:
        sudo container stop -n example.net -k

Stop all container:
        sudo container stop -n ALL

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage (https://open-infrastructure.net).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (https://bugs.debian.org).

AUTHORS

compute-tools were written by Daniel Baumann <daniel.baumann@open-infrastructure.net> and others.